Package fr.gouv.vitam.functional.administration.common.config

# Class AdminManagementConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.functional.administration.common.config.AdminManagementConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class AdminManagementConfiguration extends DbConfigurationImpl
AdminManagementConfiguration inherated from DbConfigurationImpl

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminManagementConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, boolean dbAuthentication, String dbUserName, String dbPassword, FunctionalAdminIndexationConfiguration indexationConfiguration)`
  `AdminManagementConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, FunctionalAdminIndexationConfiguration indexationConfiguration)`
  `AdminManagementConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getAccessionRegisterSymbolicThreadPoolSize()`
  `String`
  `getClusterName()`
  `CustomSearchOnFieldsConfiguration`
  `getCustomSearchOnFieldsConfiguration()`
  `String`
  `getElasticsearchConfigurationFile()`
  `List<ElasticsearchNode>`
  `getElasticsearchNodes()`
  `FunctionalAdminIndexationConfiguration`
  `getIndexationConfiguration()`
  `Map<Integer,List<String>>`
  `getListEnableExternalIdentifiers()`
  `Map<Integer,Map<String,String>>`
  `getListMinimumRuleDuration()`
  `String`
  `getProcessingUrl()`
  `int`
  `getReconstructionMetricsCacheDurationInMinutes()`
  `Integer`
  `getRuleAuditThreadPoolSize()`
  `VirtualPathsConfiguration`
  `getVirtualPathsConfiguration()`
  `String`
  `getWorkspaceUrl()`
  `AdminManagementConfiguration`
  `setAccessionRegisterSymbolicThreadPoolSize(Integer accessionRegisterSymbolicThreadPoolSize)`
  `AdminManagementConfiguration`
  `setClusterName(String clusterName)`
  `AdminManagementConfiguration`
  `setCustomSearchOnFieldsConfiguration(CustomSearchOnFieldsConfiguration customSearchOnFieldsConfiguration)`
  `AdminManagementConfiguration`
  `setElasticsearchConfigurationFile(String elasticSearchConfigurationFile)`
  `AdminManagementConfiguration`
  `setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)`
  `AdminManagementConfiguration`
  `setIndexationConfiguration(FunctionalAdminIndexationConfiguration indexationConfiguration)`
  `void`
  `setListEnableExternalIdentifiers(Map<Integer,List<String>> listEnableExternalIdentifiers)`
  Setter for listEnableExternalIdentifiers;
  `AdminManagementConfiguration`
  `setListMinimumRuleDuration(Map<Integer,Map<String,String>> listMinimumRuleDuration)`
  `void`
  `setProcessingUrl(String processingUrl)`
  `void`
  `setReconstructionMetricsCacheDurationInMinutes(int reconstructionMetricsCacheDurationInMinutes)`
  `void`
  `setRuleAuditThreadPoolSize(Integer ruleAuditThreadPoolSize)`
  `AdminManagementConfiguration`
  `setVirtualPathsConfiguration(VirtualPathsConfiguration virtualPathsConfiguration)`
  `void`
  `setWorkspaceUrl(String workspaceUrl)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### AdminManagementConfiguration

    public AdminManagementConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)
    Constructor
    Parameters:
      `mongoDbNodes` - the database hosts and ports
      `dbName` - the database name
      `clusterName` - the cluster name
      `elasticsearchNodes` - the list of Elasticsearch nodes

  - ### AdminManagementConfiguration

    public AdminManagementConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, boolean dbAuthentication, String dbUserName, String dbPassword, FunctionalAdminIndexationConfiguration indexationConfiguration)

  - ### AdminManagementConfiguration

    public AdminManagementConfiguration(List<MongoDbNode> mongoDbNodes, String dbName, FunctionalAdminIndexationConfiguration indexationConfiguration)

- ## Method Details

  - ### getWorkspaceUrl

    public String getWorkspaceUrl()
    Returns:
      url workspace

  - ### setWorkspaceUrl

    public void setWorkspaceUrl(String workspaceUrl)
    Parameters:
      `workspaceUrl` - to set

  - ### getProcessingUrl

    public String getProcessingUrl()
    Returns:
      processing Url

  - ### setProcessingUrl

    public void setProcessingUrl(String processingUrl)
    Parameters:
      `processingUrl` - to set

  - ### getClusterName

    public String getClusterName()
    Returns:
      the clusterName

  - ### setClusterName

    public AdminManagementConfiguration setClusterName(String clusterName)
    Parameters:
      `clusterName` - the clusterName to set
    Returns:
      this

  - ### getElasticsearchNodes

    public List<ElasticsearchNode> getElasticsearchNodes()
    Returns:
      the elasticsearchNodes

  - ### setElasticsearchNodes

    public AdminManagementConfiguration setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)
    Parameters:
      `elasticsearchNodes` - the elasticsearchNodes to set
    Returns:
      AdminManagementConfiguration

  - ### getListEnableExternalIdentifiers

    public Map<Integer,List<String>> getListEnableExternalIdentifiers()
    Returns:
      listEnableExternalIdentifiers

  - ### setListEnableExternalIdentifiers

    public void setListEnableExternalIdentifiers(Map<Integer,List<String>> listEnableExternalIdentifiers)
    Setter for listEnableExternalIdentifiers;

  - ### getListMinimumRuleDuration

    public Map<Integer,Map<String,String>> getListMinimumRuleDuration()
    Returns:
      listMinimumRuleDuration

  - ### setListMinimumRuleDuration

    public AdminManagementConfiguration setListMinimumRuleDuration(Map<Integer,Map<String,String>> listMinimumRuleDuration)
    Parameters:
      `listMinimumRuleDuration` -
    Returns:
      AdminManagementConfiguration

  - ### getIndexationConfiguration

    public FunctionalAdminIndexationConfiguration getIndexationConfiguration()

  - ### setIndexationConfiguration

    public AdminManagementConfiguration setIndexationConfiguration(FunctionalAdminIndexationConfiguration indexationConfiguration)

  - ### getAccessionRegisterSymbolicThreadPoolSize

    public Integer getAccessionRegisterSymbolicThreadPoolSize()

  - ### setAccessionRegisterSymbolicThreadPoolSize

    public AdminManagementConfiguration setAccessionRegisterSymbolicThreadPoolSize(Integer accessionRegisterSymbolicThreadPoolSize)

  - ### getRuleAuditThreadPoolSize

    public Integer getRuleAuditThreadPoolSize()

  - ### setRuleAuditThreadPoolSize

    public void setRuleAuditThreadPoolSize(Integer ruleAuditThreadPoolSize)

  - ### getReconstructionMetricsCacheDurationInMinutes

    public int getReconstructionMetricsCacheDurationInMinutes()

  - ### setReconstructionMetricsCacheDurationInMinutes

    public void setReconstructionMetricsCacheDurationInMinutes(int reconstructionMetricsCacheDurationInMinutes)

  - ### getElasticsearchConfigurationFile

    public String getElasticsearchConfigurationFile()

  - ### setElasticsearchConfigurationFile

    public AdminManagementConfiguration setElasticsearchConfigurationFile(String elasticSearchConfigurationFile)

  - ### getCustomSearchOnFieldsConfiguration

    public CustomSearchOnFieldsConfiguration getCustomSearchOnFieldsConfiguration()

  - ### setCustomSearchOnFieldsConfiguration

    public AdminManagementConfiguration setCustomSearchOnFieldsConfiguration(CustomSearchOnFieldsConfiguration customSearchOnFieldsConfiguration)

  - ### getVirtualPathsConfiguration

    public VirtualPathsConfiguration getVirtualPathsConfiguration()

  - ### setVirtualPathsConfiguration

    public AdminManagementConfiguration setVirtualPathsConfiguration(VirtualPathsConfiguration virtualPathsConfiguration)